## doctrine 2.11.1+dfsg

=== debian/changelog ===
doctrine (2.11.1+dfsg-1ubuntu4) jammy; urgency=medium

  * d/control, d/t/control, d/p/demote-symfony-console-to-suggests.patch:
    - Revert symfony demotion now that both symfony and doctrine build
      successfully.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 17 Mar 2022 00:33:55 +0000

doctrine (2.11.1+dfsg-1ubuntu3) jammy; urgency=medium

  * d/p/demote-symfony-console-to-suggests.patch: Prevent composer
    from pulling in php-symfony-console as a strict dependency, to
    avoid creating a circular build dependency with symfony.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 25 Feb 2022 21:33:39 +0000

doctrine (2.11.1+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for php-doctrine-dbal 3.3.2

 -- Bryce Harrington <bryce@canonical.com>  Wed, 23 Feb 2022 04:57:42 +0000

doctrine (2.11.1+dfsg-1ubuntu1) jammy; urgency=medium

  * Don't run testsuite during build
    - d/rules: Disable running phpunit
    - d/control, d/t/control: Don't b-d on symfony only needed for CI

 -- Bryce Harrington <bryce@canonical.com>  Thu, 17 Feb 2022 01:30:01 +0000

doctrine (2.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Mon, 31 Jan 2022 19:16:53 -0400

doctrine (2.11.0+dfsg-1) unstable; urgency=medium

  * Use php-doctrine-annotations for tests
  * Workaround the lack of Enum support in phpab
  * Revert "Don’t check tag signature"

 -- David Prévot <taffit@debian.org>  Wed, 12 Jan 2022 09:51:45 -0400

doctrine (2.10.4+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Remove fallbacks for old doctrine/annotations version (#9235)

  [ David Prévot ]
  * Don’t check tag signature
  * Drop patch not needed anymore for CI

 -- David Prévot <taffit@debian.org>  Wed, 22 Dec 2021 21:22:59 -0400

doctrine (2.10.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sat, 04 Dec 2021 16:35:30 -0400

doctrine (2.10.2+dfsg-3) unstable; urgency=medium

  * Update upstream version at build time
  * Adapt tests for recent php-doctrine-dbal
  * Drop CLI

 -- David Prévot <taffit@debian.org>  Wed, 24 Nov 2021 22:33:57 -0400

doctrine (2.10.2+dfsg-2) unstable; urgency=medium

  * Add php-symfony-cache for CI
  * Adapt versioned dependency for dh-phpcomposer

 -- David Prévot <taffit@debian.org>  Mon, 22 Nov 2021 07:45:55 -0400

doctrine (2.10.2+dfsg-1) unstable; urgency=medium

  * Updoad to unstable now that Bullseye has been released

  [ Benjamin Eberlei ]
  * Introduce doctrine/deprecations (#8466)
  * Bump requirement to DBAL 2.13 (#8577)

  [ David Prévot ]
  * Add php-symfony-cache and php-symfony-polyfill-php80 to Build-Depends
  * d/control: Drop versioned dependency satisfied in stable
  * Update standards version to 4.6.0, no changes needed.
  * Let phpab be also tolerant with conditional definitions
  * Workaround phpab issue

 -- David Prévot <taffit@debian.org>  Sun, 21 Nov 2021 23:08:56 -0400
