## doctrine 2.13.1+dfsg

=== debian/changelog ===
doctrine (2.13.1+dfsg-2) unstable; urgency=medium

  * Install doctrine-mapping.xsd as data

 -- David Prévot <taffit@debian.org>  Fri, 12 Aug 2022 07:47:16 +0200

doctrine (2.13.1+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Deprecate classes and methods removed in 3.0

  [ David Prévot ]
  * Drop now usless d/pkg-php-tools-autoloaders entry
  * Workaround phpab issue
  * Add php-doctrine-collections build-dependency

 -- David Prévot <taffit@debian.org>  Mon, 08 Aug 2022 19:53:06 +0200

doctrine (2.12.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2022 14:07:19 +0200

doctrine (2.12.2+dfsg-2) unstable; urgency=medium

  * Build on Debian infrastructure after Polyfill exclusion bootstrap

 -- David Prévot <taffit@debian.org>  Sat, 28 May 2022 14:35:44 +0200

doctrine (2.12.2+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow doctrine/deprecations 1.0 (#9723)

  [ Grégoire Paris ]
  * Implement forward compatbility with Persistence 3

  [ David Prévot ]
  * Drop php-symfony-polyfill build-dependency
  * phpab: Be tolerant
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Fri, 27 May 2022 18:10:00 +0200
