## doctrine 2.13.2+dfsg

=== debian/changelog ===
doctrine (2.13.2+dfsg-1) unstable; urgency=medium

  [ Tomas ]
  * Fix ArrayHydration of enums

 -- David Prévot <taffit@debian.org>  Sun, 25 Sep 2022 16:10:59 +0200
