## doctrine 2.13.3+dfsg

=== debian/changelog ===
doctrine (2.13.3+dfsg-2) unstable; urgency=medium

  [ Grégoire Paris ]
  * Remove fragile assertions

 -- David Prévot <taffit@debian.org>  Wed, 23 Nov 2022 07:37:25 +0100

doctrine (2.13.3+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Fix using enums with the QueryBuilder

  [ Grégoire Paris ]
  * Remove return type override

 -- David Prévot <taffit@debian.org>  Mon, 10 Oct 2022 08:04:20 +0200
