## doctrine 2.13.4+dfsg

=== debian/changelog ===
doctrine (2.13.4+dfsg-1) unstable; urgency=medium

  [ David Romaní ]
  * fix deprecated trigger help comment

  [ Alexander M. Turek ]
  * Remove reference to deprecated DriverChain from docs (#10179)

  [ HypeMC ]
  * Fix change set computation with enums (#10074)

 -- David Prévot <taffit@debian.org>  Sun, 27 Nov 2022 10:29:40 +0100
