## doctrine 2.14.0+dfsg

=== debian/changelog ===
doctrine (2.14.0+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Allow collections 2
  * Allow doctrine/lexer 2

  [ Alexander M. Turek ]
  * Allow doctrine/event-manager 2 (#10123)

 -- David Prévot <taffit@debian.org>  Wed, 21 Dec 2022 07:11:44 +0100
