## doctrine 2.14.1+dfsg

=== debian/changelog ===
doctrine (2.14.1+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Ensure consistent original data with enums

  [ Alexander M. Turek ]
  * Include parameter types in hydration cache key generation (#10355)

  [ Nicolas Grekas ]
  * Fix initializing lazy objects and get rid of "Typed property must not be
    accessed before initialization" errors

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Wed, 18 Jan 2023 08:17:02 +0100
