## doctrine 2.16.1+dfsg

=== debian/changelog ===
doctrine (2.16.1+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Add an UPGRADE notice about the potential changes in commit order (#10866)
  * Turn identity map collisions from exception to deprecation notice (#10878)
  * Fix broken changeset computation for entities loaded through fetch=EAGER +
    using inheritance (#10884)
  * Document more clearly that the insert order is an implementation detail
    (#10883)
  * Use a dedicated exception for the check added in #10785 (#10881)

  [ Michael Olšavský ]
  * Fix UnitOfWork->originalEntityData is missing not-modified collections
    after computeChangeSet (#9301)

  [ Dieter Beck ]
  * Add possibility to set reportFieldsWhereDeclared to true in ORMSetup
    (#10865)

 -- David Prévot <taffit@debian.org>  Sat, 12 Aug 2023 08:36:05 +0200

doctrine (2.16.0+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Make Annotations/Attribute mapping drivers report fields for the classes
    where they are declared
  * Make EntityPersisters tell the UoW about post insert IDs early

  [ Vincent Langlet ]
  * Introduce FilterCollection#restore method (#10537)

  [ David Prévot ]
  * Compatibility with recent PHPUnit (10) (Closes: #1039747)

 -- David Prévot <taffit@debian.org>  Sat, 05 Aug 2023 11:14:12 +0200

doctrine (2.15.4+dfsg-1) unstable; urgency=medium

  [ Minh Vuong ]
  * fix: attach entity listener when reset metadata factory

  [ Grégoire Paris ]
  * Resort on Query::HINT_FORCE_PARTIAL_LOAD less
  * Follow recommendation about multiline type

  [ Matthias Pigulla ]
  * Avoid creating unmanaged proxy instances for referred-to entities during
    merge()

  [ Daniel Jurkovic ]
  * distinct() updates QueryBuilder state correctly

  [ Nicolas Grekas ]
  * Fix unserialize() errors when running tests on PHP 8.3 (#10803)
  * Fix cloning entities when using lazy-ghost proxies

  [ Rokas Mikalkėnas ]
  * Fixes recomputation of single entity change set when entity contains enum
    attributes.

 -- David Prévot <taffit@debian.org>  Mon, 24 Jul 2023 13:34:37 +0200

doctrine (2.15.3+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Document how to produce DTOs with a result set mapping

  [ Matthias Pigulla ]
  * Defer removing removed entities from to-many collections until after
    transaction commit

  [ Thibault Buathier ]
  * revert: transform backed enum to value

  [ Nicolas Grekas ]
  * Don't call canEmulateSchemas in SchemaTool when possible (#10762)
  * Don't call deprecated getSQLResultCasing and
    usesSequenceEmulatedIdentityColumns when we know the platform (#10759)

  [ Michael Roterman ]
  * OneToManyPersister does not take custom identifier types into account for
    orphan removal.

  [ Vaidas ]
  * Restore document proxy state to uninitialized on load exception (#10645)

  [ Alexander Dmitryuk ]
  * Fix missing setFilterSchemaAssetsExpression in phpdoc (#10776)

 -- David Prévot <taffit@debian.org>  Sat, 24 Jun 2023 07:08:17 +0200

doctrine (2.15.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released

 -- David Prévot <taffit@debian.org>  Sun, 11 Jun 2023 16:40:52 +0200

doctrine (2.15.2+dfsg-1) experimental; urgency=medium

  [ Thibault Buathier ]
  * Fix id hash of entity with enum as identifier

  [ Heiko Przybyl ]
  * Fix single table inheritance with intermediate abstract class(es)

  [ Terence Eden ]
  * Documentation typo (#10686)

  [ MatTheCat ]
  * Create `ReflectionReadonlyProperty` from their declaring class so their
    value can be set

  [ Matthias Pigulla ]
  * Fix to-many collections left in dirty state after entities are removed by
    the UoW

  [ Grégoire Paris ]
  * Document pdo_sqlite requirement for tests (#10734)

  [ Michael Babker ]
  * Correct docs link

  [ Nicolas Grekas ]
  * Fix deprecations from doctrine/lexer

 -- David Prévot <taffit@debian.org>  Fri, 02 Jun 2023 08:11:44 +0200

doctrine (2.15.1+dfsg-1) experimental; urgency=medium

  [ stollr ]
  * Added doc for the fields parameter of the UniqueConstraint attribute

  [ Grégoire Paris ]
  * Bump version numbers in the README (#10674)

  [ Alexander M. Turek ]
  * Support unserializing 2.14 ParserResult instances (#10684)

 -- David Prévot <taffit@debian.org>  Mon, 08 May 2023 16:34:09 +0200

doctrine (2.15.0+dfsg-1) experimental; urgency=medium

  [ Rémi San ]
  * Support of NOT expression from doctrine/collections ^2.1 (#10234)

  [ Alexander M. Turek ]
  * Allow doctrine/instantiator 2 (#10351)

  [ Grégoire Paris ]
  * Drop doctrine/lexer 1

 -- David Prévot <taffit@debian.org>  Fri, 05 May 2023 08:12:48 +0200

doctrine (2.14.3+dfsg-1) experimental; urgency=medium

  [ Mathieu ]
  * Handle null comparisons in `ManyToManyPersister` (#10587)

  [ Eric COURTIAL ]
  * fix typo in HydrationCompleteHandler doc

  [ Tomas Mihalicka ]
  * Fixed xsd schema for support FQCN type

  [ Alexander M. Turek ]
  * Run tests on SQLite with foreign keys enabled (#10632)

  [ Yoann B ]
  * fix array association on partial index

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 18:03:58 +0200

doctrine (2.14.2+dfsg-1) experimental; urgency=medium

  * Upload new upstream release to experimental during the freeze

 -- David Prévot <taffit@debian.org>  Sat, 15 Apr 2023 08:51:07 +0200
