## doctrine 2.19.0+dfsg

=== debian/changelog ===
doctrine (2.19.0+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Deprecate invalid method call

  [ Karoly Gossler ]
  * Add TokenType class (#11228)

  [ Alexander M. Turek ]
  * Remove references to deprecated constants from Lexer (#11234)

  [ Benjamin Eberlei ]
  * Refator array_map into simple loop for performance. (#11332)

  [ Rok Motaln ]
  * Fix SchemaTool::getSchemaFromMetadata() uniqueConstraint without a predefined name (#11314)

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 14:35:22 +0100

doctrine (2.18.2+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Address deprecations from Collection 2.2 (#11315)

  [ Vincent Langlet ]
  * Fix sql walker phpdoc

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 10:35:18 +0100

doctrine (2.18.1+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Treat '0' as a legitimate trim char

  [ Michael Skvortsov ]
  * Ignore subclasses without discriminatorValue when generating discriminator
    column condition SQL (#11200)

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 25 Feb 2024 10:52:37 +0100

doctrine (2.18.0+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Flatten directory tree
  * Allow doctrine/lexer 3
  * Look for lib remnants in hidden files
  * Remove remaining submodules (#11183)
  * Use a more specific type for getSqlStatements()

  [ David Prévot ]
  * Adapt packaging to new usptream layout

 -- David Prévot <taffit@debian.org>  Mon, 05 Feb 2024 00:21:14 +0100

doctrine (2.17.4+dfsg-1) unstable; urgency=medium

  [ Bob van de Vijver ]
  * Use foreach on iterable to prevent table locks during tests

  [ Grégoire Paris ]
  * Make Doctrine\Tests\ORM\Internal\Node autoloadable
  * Remove references to JIRA
  * Modernize code in documentation (#11179)

  [ thePanz ]
  * Throw exception when trying to use non-backed enum types

  [ Alexander M. Turek ]
  * Update branches in README

  [ Jonathan H. Wage ]
  * Remove XML validation disabling deprecation.

 -- David Prévot <taffit@debian.org>  Tue, 30 Jan 2024 19:45:05 +0100

doctrine (2.17.3+dfsg-1) unstable; urgency=medium

  [ Bob van de Vijver ]
  * Do not defer eager loading when iterable hint is set

  [ Matthias Pigulla ]
  * Improve topological sort result order
  * Mention in the limitations that private field names cannot be reused
  * Mention that ``postRemove`` may still see removed entities in in-memory
    collections (#11146)
  * Include `ON DELETE CASCADE` associations in the delete order computation
    (#10913)
  * Fix `@SequenceGeneratorDefinition` inheritance, take 1 (#11050)
  * Keep the `declared` mapping information when using attribute overrides
    (#11135)

  [ Grégoire Paris ]
  * Remove redundant tags

 -- David Prévot <taffit@debian.org>  Mon, 22 Jan 2024 22:26:32 +0100

doctrine (2.17.2+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * PHPStan 5.16.0, Symfony 7.0 (#11095)
  * Allow to skip property type validation (#11130)

  [ Cliff Odijk ]
  * Add compatibility with the Symfony 4.4 VarExporter (#10948)

  [ Tomas Norkūnas ]
  * Fix JSON mapping linting against subset of builtin types (#11076)

  [ flack ]
  * Fix method name in code example (#11104)

  [ flaushi ]
  * Added a note parameter type for the INSTANCE OF DQL expression (#7963)

  [ Yonel Ceruto ]
  * Fixed enum mapping validation

 -- David Prévot <taffit@debian.org>  Fri, 22 Dec 2023 13:56:16 +0100

doctrine (2.17.1+dfsg-1) unstable; urgency=medium

  * Track version 2

 -- David Prévot <taffit@debian.org>  Sun, 19 Nov 2023 10:44:44 +0100

doctrine (2.16.2+dfsg-1) unstable; urgency=medium

  [ David Arenas ]
  * Add back throws annotation to getSingleScalarResult (#10907)

  [ Matthias Pigulla ]
  * Mitigate problems with `EntityManager::flush()` reentrance since 2.16.0 (Take 2)

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 09:24:19 +0530
