=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                phpab,
                phpunit
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git -b debian/2
 Vcs-Browser: https://salsa.debian.org/php-team/pear/doctrine
 Homepage: https://www.doctrine-project.org/projects/orm.html
 Rules-Requires-Root: no
