=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
UPSTREAM := $(DEB_VERSION_UPSTREAM)

%:
	dh $@

execute_before_dh_auto_build:
	phpab \
		--tolerant \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor data/Doctrine Doctrine
	ln -s ../../doctrine-mapping.xsd data/Doctrine/
	cp -r src Doctrine/ORM
	ln -s /usr/share/php/Doctrine/Common Doctrine
	ln -s /usr/share/php/Doctrine/DBAL Doctrine
	ln -s /usr/share/php/Doctrine/Deprecations Doctrine
	ln -s /usr/share/php/Doctrine/Inflector Doctrine
	ln -s /usr/share/php/Doctrine/Instantiator Doctrine
	ln -s /usr/share/php/Doctrine/Persistence Doctrine
	ln -s /usr/share/php/Psr
	ln -s /usr/share/php/Symfony
	phpab \
		--tolerant \
		--exclude tests/Tests/Models/Enums/Product.php \
		--exclude tests/Tests/ORM/Mapping/AbstractMappingDriverTest.php \
		--exclude tests/Tests/ORM/Mapping/MappingDriverTestCase.php \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit

execute_after_dh_install:
	sed -i "s/@VERSION@/$(UPSTREAM)/;s/\+dfsg//" \
		$(CURDIR)/debian/php-doctrine-orm/usr/share/php/Doctrine/ORM/Version.php

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog
