=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab --tolerant -e tests/Tests/ORM/Mapping/AbstractMappingDriverTest.php -e tests/Tests/ORM/Mapping/MappingDriverTestCase.php -e tests/Tests/Models/Enums/Product.php -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: patch,
         php-doctrine-annotations,
         php-sqlite3,
         php-symfony-cache,
         php-symfony-yaml,
         phpab,
         phpunit,
         @
