=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/doctrine/orm \
refs/tags/v?(2.+)
