## doctrine 2.19.5+dfsg

=== debian/changelog ===
doctrine (2.19.5+dfsg-2) unstable; urgency=medium

  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070507)

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 22:24:49 +0200

doctrine (2.19.5+dfsg-1) unstable; urgency=medium

  [ Tomasz Ryba ]
  * Respect orderBy for EAGER fetch mode

  [ Simon Podlipsky ]
  * fix: always cleanup in `AbstractHydrator::toIterable()` (#11101)

  [ Petr Morávek ]
  * Keep entities in identity map until the scheduled deletions are executed.

  [ W0rma ]
  * Fix deprecation layer

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2024 07:43:48 +0200

doctrine (2.19.4+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Fix BIGINT validation (#11414)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Apr 2024 07:53:48 +0200

doctrine (2.19.3+dfsg-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * Do not schedule batch loading for target classes with composite identifier.
  * Improve lazy ghost performance by avoiding self-referencing closure.
    (#11376)
  * [GH-11185] Bugfix: do not use collection batch loading for indexByi
    assocations. (#11380)

  [ Marko Kaznovac ]
  * Minor code style fix in AbstractRemoteControl

  [ Grégoire Paris ]
  * Remove outdated git metadata files (#11362)

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 10:22:41 +0100

doctrine (2.19.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Bannik ]
  * #11090 - Fix obtaining an identifier in cases where the hydration has not
    yet fully completed on eagerLoadCollections

 -- David Prévot <taffit@debian.org>  Sun, 17 Mar 2024 11:07:30 +0100
