## doctrine 2.19.6+dfsg

=== debian/changelog ===
doctrine (2.19.6+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Replace assertion with exception (#11489)
  * Address doctrine/persistence 3.3.3 release

  [ Alexander M. Turek ]
  * Backport test for Query::setLockMode() (#11463)
  * Test with actual lock modes (#11465)

  [ Nicolas Grekas ]
  * Fix cloning entities

  [ Alix Mauro ]
  * Consider usage of setFetchMode when checking for simultaneous usage of
    fetch-mode EAGER and WITH condition.

  [ Indra Gunawan ]
  * update EntityManager#transactional to EntityManager#wrapInTransaction

  [ Sam Mousa ]
  * fix(docs): use string value in `addAttribute`

  [ Daniel Black ]
  * ci: maintained and stable mariadb version (11.4 current lts) (#11490)

  [ Noemi Salaun ]
  * Skip joined entity creation for empty relation (#10889)

  [ Kyron Taylor ]
  * Fix OneToManyPersister::deleteEntityCollection missing discriminator
    column/value. (GH-11500)

  [ Jérôme Tamarelle ]
  * Use modern array syntax in the doc

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 12:21:09 +0200
