=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                php-symfony-yaml,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git -b debian/2
 Vcs-Browser: https://salsa.debian.org/php-team/pear/doctrine
 Homepage: https://www.doctrine-project.org/projects/orm.html
