## doctrine 2.19.7+dfsg

=== debian/changelog ===
doctrine (2.19.7+dfsg-1) unstable; urgency=medium

  [ Konrad Abicht ]
  * working-with-objects.rst: added missing white space

  [ Christophe Coevoet ]
  * Fix the support for custom parameter types in native queries

  [ Kyron Taylor ]
  * GH11551 - fix OneToManyPersister::deleteEntityCollection when using
    single-inheritence entity parent as targetEntity.

  [ Jan Nedbal ]
  * DQL custom functions: document TypedExpression

  [ Matthew Curland ]
  * Original entity data resolves inverse 1-1 joins

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 16:15:05 +0200
