## doctrine 2.20.0+dfsg

=== debian/changelog ===
doctrine (2.20.0+dfsg-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * Reintroduce PARTIAL, but only for non-object hydration.
  * Prepare PHP 8.4 support: Prevent property hooks from being used (#11628)
  * [GH-8471] undeprecate partials completely (#11647)

  [ Alexander M. Turek ]
  * Make nullable parameters explicit in generated entities (#11625)

  [ Grégoire Paris ]
  * Move orphan metadata to where it belongs
  * Replace custom directives with native option
  * Add upgrade note about property hooks (#11636)
  * Run risky code in finally block
  * Remove submodule remnant

  [ n0099 ]
  * Update attributes-reference.rst

  [ Max Mustermann ]
  * fix generating duplicate method stubs

  [ Matthias Pigulla ]
  * Deprecate the `\Doctrine\ORM\Query\Parser::setCustomOutputTreeWalker()`
    method (#11641)
  * Fix different first/max result values taking up query cache space  (#11188)

  [ Simon Podlipsky ]
  * test: cover all transactional methods in
    `EntityManagerTest::testItPreservesTheOriginalExceptionOnRollbackFailure()`

 -- David Prévot <taffit@debian.org>  Thu, 24 Oct 2024 06:45:34 +0200
