## doctrine 2.20.1+dfsg

=== debian/changelog ===
doctrine (2.20.1+dfsg-2) unstable; urgency=medium

  * Mark another Provider as static

 -- David Prévot <taffit@debian.org>  Mon, 30 Dec 2024 15:00:49 +0100

doctrine (2.20.1+dfsg-1) unstable; urgency=medium

  [ MatteoFeltrin ]
  * allow classname in 'value' attribute of xml discriminator-mapping field

  [ Dzmitry Bannik ]
  * Is not correctly generated sql when changed/switched sqlFilter parameters

  [ Asmir Mustafic ]
  * lazy and eager collection refresh

  [ Pierre Bretéché ]
  * Check hint value before considering instance read-only

  [ David Prévot ]
  * gbp.conf: tfix

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 11:41:30 +0100
