## doctrine 3.3.0+dfsg

=== debian/changelog ===
doctrine (3.3.0+dfsg-1) experimental; urgency=medium

  [ Benjamin Eberlei ]
  * Reintroduce PARTIAL, but only for non-object hydration.
  * [GH-8471] undeprecate partials completely (#11647)
  * The MySQL/Maria EnumType added in DBAL 4.2 has a new known option
    "values". (#11657)

  [ Alexander M. Turek ]
  * Auto-detect values for EnumType columns (#11666)

  [ Grégoire Paris ]
  * Deprecate DatabaseDriver

  [ Tomas ]
  * Add `createNamedParameter` to `QueryBuilder`

  [ d-ph ]
  * Make CountWalker use COUNT(*) when $distinct is explicitly set to
    false (#11552)

  [ Marc Eichenseher ]
  * Remove unused $pkColumns when gathering columns (#11560)

  [ eltharin ]
  * Add support for using nested DTOs
  * add nested new in EBNF documentation
  * Allow named Arguments to be passed to Dto

  [ Vincent Langlet ]
  * Precise EntityRepository::count (#11579)

 -- David Prévot <taffit@debian.org>  Thu, 24 Oct 2024 06:29:17 +0200

doctrine (3.2.2+dfsg-1) experimental; urgency=medium

  [ Konrad Abicht ]
  * working-with-objects.rst: added missing white space

  [ Christophe Coevoet ]
  * Fix the support for custom parameter types in native queries

  [ Kyron Taylor ]
  * GH11551 - fix OneToManyPersister::deleteEntityCollection when using
    single-inheritence entity parent as targetEntity.

  [ Jan Nedbal ]
  * DQL custom functions: document TypedExpression

  [ Matthew Curland ]
  * Original entity data resolves inverse 1-1 joins

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 16:00:46 +0200

doctrine (3.2.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Use ramsey/composer-install in PHPBench workflow
  * Replace assertion with exception (#11489)
  * Remove unneeded CS rule
  * Address doctrine/persistence 3.3.3 release

  [ Alix Mauro ]
  * Consider usage of setFetchMode when checking for simultaneous usage of
    fetch-mode EAGER and WITH condition.

  [ Nicolas Grekas ]
  * Fix cloning entities

  [ Indra Gunawan ]
  * update EntityManager#transactional to EntityManager#wrapInTransaction

  [ Sam Mousa ]
  * fix(docs): use string value in `addAttribute`

  [ Daniel Black ]
  * ci: maintained and stable mariadb version (11.4 current lts) (#11490)

  [ Noemi Salaun ]
  * Skip joined entity creation for empty relation (#10889)

  [ Kyron Taylor ]
  * Fix OneToManyPersister::deleteEntityCollection missing discriminator
    column/value. (GH-11500)

  [ Michał Bundyra ]
  * Fetching entities with Composite Key Relations and null values

  [ Christophe Coevoet ]
  * Add the propoer void return type on the __load method of proxies

  [ Alexander M. Turek ]
  * Fix deprecated array access usage (#11517)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 11:17:05 +0200

doctrine (3.2.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Deprecate --complete option of orm:schema-tool:update

  [ Ismail Özgün Turan ]
  * Deprecate obsolete and unnecessary properties from Table attribute (#11351)

  [ Alexey Prohorov ]
  * Using an integer as discriminator value with ORM v3

  [ Alexander M. Turek ]
  * Fix return type of Query::getLockMode() (#11462)
  * Deprecate SequenceGenerator implementing Serializable (#11468)
  * Deprecate the NotSupported exception (#11470)

  [ Nicolas Grekas ]
  * Remove readonly modifier from EntityManager

 -- David Prévot <taffit@debian.org>  Tue, 28 May 2024 18:49:33 +0200

doctrine (3.1.3+dfsg-1) experimental; urgency=medium

  [ Tomasz Ryba ]
  * Respect orderBy for EAGER fetch mode

  [ Simon Podlipsky ]
  * fix: always cleanup in `AbstractHydrator::toIterable()` (#11101)

  [ W0rma ]
  * Fix deprecation layer

 -- David Prévot <taffit@debian.org>  Wed, 01 May 2024 10:38:01 +0200

doctrine (3.1.2+dfsg-1) experimental; urgency=medium

  [ Thomas Landauer ]
  * [Documentation] Query Result Formats

  [ Alexander M. Turek ]
  * Fix BIGINT validation (#11414)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Apr 2024 07:45:49 +0200

doctrine (3.1.1+dfsg-1) experimental; urgency=medium

  [ Dmitry Bannik ]
  * #11090 - Fix obtaining an identifier in cases where the hydration has not
    yet fully completed on eagerLoadCollections

  [ Grégoire Paris ]
  * Avoid array access

  [ Benjamin Eberlei ]
  * Do not schedule batch loading for target classes with composite identifier.
  * Improve lazy ghost performance by avoiding self-referencing closure.
    (#11376)
  * [GH-11185] Bugfix: do not use collection batch loading for indexBy
    assocations. (#11380)

  [ Valentin Karnauhov ]
  * Fixed proxy initialization for EnumReflectionProperty

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 10:37:44 +0100

doctrine (3.1.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Deprecate array access
  * Migrate more occurrences of array access
  * Translate comment into code and annotations
  * Deprecate invalid method call
  * Use class from persistence package  (#11330)

  [ Karoly Gossler ]
  * Add TokenType class (#11228)

  [ Alexander M. Turek ]
  * Remove references to deprecated constants from Lexer (#11234)
  * Throw if a variadic parameter contains unexpected named arguments (#11260)
  * Validate more variadic parameters (#11261)
  * Bump Doctrine Collections to 2.2 (#11325)

  [ Benjamin Eberlei ]
  * Refator array_map into simple loop for performance. (#11332)

  [ Rok Motaln ]
  * Fix SchemaTool::getSchemaFromMetadata() uniqueConstraint without a predefined name (#11314)

  [ David Prévot ]
  * debian/control: Build-depend on php-doctrine-collections (>> 2.2)
  * debian/copyright: Drop now useless entry

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:46:11 +0100

doctrine (3.0.2+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Remove extra word
  * Throw a full-fledged exception on invalid call

  [ Vincent Langlet ]
  * Fix sql walker phpdoc

  [ Alexander M. Turek ]
  * Address deprecations from Collection 2.2 (#11315)

