=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
-               php-doctrine-annotations,
-               php-doctrine-common,
-               php-doctrine-collections,
+               php-doctrine-collections (>> 2.2),
                php-doctrine-dbal,
                php-doctrine-inflector,
                php-doctrine-instantiator,
+               php-doctrine-lexer (>> 3),
+               php-doctrine-persistence,
                php-sqlite3,
                php-symfony-cache,
                php-symfony-console,
-               php-symfony-yaml,
+               php-symfony-var-exporter (>= 6),
                phpab,
-               phpunit
+               phpunit (>> 10)
 Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git -b debian/2
+Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/doctrine
 Homepage: https://www.doctrine-project.org/projects/orm.html
 Rules-Requires-Root: no
