## doctrine 3.3.1+dfsg

=== debian/changelog ===
doctrine (3.3.1+dfsg-3) unstable; urgency=medium

  * Drop version from build-dependencies

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 19:24:19 +0100

doctrine (3.3.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that PHPUnit 11 is ready

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 12:47:41 +0100

doctrine (3.3.1+dfsg-1) experimental; urgency=medium

  [ MatteoFeltrin ]
  * allow classname in 'value' attribute of xml discriminator-mapping field

  [ Maciej Malarz ]
  * Allow overriding association's cascade

  [ Alexander M. Turek ]
  * Drop DBAL 2 compat code (#11674)

  [ Jan Nedbal ]
  * UPGRADE: mention `SqlWalker` deprecations in 3.3 (#11693)

  [ Dzmitry Bannik ]
  * Is not correctly generated sql when changed/switched sqlFilter parameters

  [ Asmir Mustafic ]
  * lazy and eager collection refresh

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 08:53:59 +0100
