=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,14 @@
 	ln -s /usr/share/php/Symfony
 	phpab \
 		--tolerant \
+		--exclude tests/Tests/Models/DDC3597/DDC3597Image.php \
+		--exclude tests/Tests/Models/DDC4006/DDC4006User.php \
 		--exclude tests/Tests/Models/Enums/Product.php \
-		--exclude tests/Tests/ORM/Mapping/AbstractMappingDriverTest.php \
+		--exclude tests/Tests/ORM/Functional/Ticket/DDC3303Test.php \
+		--exclude tests/Tests/ORM/Functional/Ticket/DDC3582Test.php \
+		--exclude tests/Tests/ORM/Functional/Ticket/DDC6460Test.php \
+		--exclude tests/Tests/ORM/Functional/Ticket/GH5804Test.php \
+		--exclude tests/Tests/ORM/Functional/ValueObjectsTest.php \
 		--exclude tests/Tests/ORM/Mapping/MappingDriverTestCase.php \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
