## doctrine 3.3.2+dfsg

=== debian/changelog ===
doctrine (3.3.2+dfsg-3) unstable; urgency=medium

  * Use DoesNotPerformAssertions attribute

 -- David Prévot <taffit@debian.org>  Mon, 24 Feb 2025 08:29:57 +0100

doctrine (3.3.2+dfsg-2) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Revert "Force system dependencies loading"

 -- David Prévot <taffit@debian.org>  Fri, 21 Feb 2025 19:19:12 +0100

doctrine (3.3.2+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Fix fields of transient classes being considered duplicate with
    `reportFieldsWhereDeclared`

  [ Jonny Eom ]
  * UPGRADE: Document QueryBuilder::setParameters() Type enforcement

  [ Grégoire Paris ]
  * Display Doctrine deprecations when running PHPUnit
  * Address quoteIdentifier() deprecation

 -- David Prévot <taffit@debian.org>  Thu, 06 Feb 2025 07:09:53 +0100
