=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
-               php-doctrine-collections (>> 2.2),
+               php-doctrine-collections,
                php-doctrine-dbal,
                php-doctrine-inflector,
                php-doctrine-instantiator,
-               php-doctrine-lexer (>> 3),
+               php-doctrine-lexer,
                php-doctrine-persistence,
                php-sqlite3,
                php-symfony-cache,
                php-symfony-console,
-               php-symfony-var-exporter (>= 6),
+               php-symfony-var-exporter,
                phpab,
-               phpunit (>> 10)
+               phpunit
 Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/doctrine
 Homepage: https://www.doctrine-project.org/projects/orm.html
 Rules-Requires-Root: no
