## doctrine 3.3.3+dfsg

=== debian/changelog ===
doctrine (3.3.3+dfsg-1) unstable; urgency=medium

  [ Christian Flothmann ]
  * favor Table::addPrimaryKeyConstraint() over Table::setPrimaryKey()
  * replace Index::overrules() with custom checks
  * no longer use Table::columnsAreIndexed()
  * use the platform to quote table names
  * do not use deprecated foreign key constraint features
  * [#6823] pass unquoted identifier folding to AbstractPlatform
  * disable detecting modified indexes with DBAL 4.3
  * do not use deprecated primary key constraint features
  * prefer primary key constraints over Index::isPrimary()

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 08:01:38 +0200
