=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh $@
 
 execute_before_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--tolerant \
 		--output src/autoload.php \
@@ -15,14 +16,6 @@
 	mkdir --parents vendor data/Doctrine Doctrine
 	ln -s ../../doctrine-mapping.xsd data/Doctrine/
 	cp -r src Doctrine/ORM
-	ln -s /usr/share/php/Doctrine/Common Doctrine
-	ln -s /usr/share/php/Doctrine/DBAL Doctrine
-	ln -s /usr/share/php/Doctrine/Deprecations Doctrine
-	ln -s /usr/share/php/Doctrine/Inflector Doctrine
-	ln -s /usr/share/php/Doctrine/Instantiator Doctrine
-	ln -s /usr/share/php/Doctrine/Persistence Doctrine
-	ln -s /usr/share/php/Psr
-	ln -s /usr/share/php/Symfony
 	phpab \
 		--tolerant \
 		--exclude tests/Tests/Models/DDC3597/DDC3597Image.php \
