## doctrine 3.4.0+dfsg

=== debian/changelog ===
doctrine (3.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental during the freeze

 -- David Prévot <taffit@debian.org>  Mon, 16 Jun 2025 13:49:59 +0200
