## doctrine 3.4.3+dfsg

=== debian/changelog ===
doctrine (3.4.3+dfsg-1) experimental; urgency=medium

  [ Stefan Gehrig ]
  * adds detection of literals/result variables at the beginning of an
    order by item with arithmetic expression

  [ Christophe Coevoet ]
  * Clean the handling of proxy initialization in the UnitOfWork

 -- David Prévot <taffit@debian.org>  Sat, 28 Jun 2025 07:20:39 +0200

doctrine (3.4.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Enable native lazy objects by default
  * Make proxyDir and proxyNs nullable and optional
  * Ensure proxies implementations behave the same on entity not found
  * Revert "add capability to use allfields sql notation"

  [ eltharin ]
  * repair code block bad showing

 -- David Prévot <taffit@debian.org>  Tue, 24 Jun 2025 07:52:28 +0200
