## doctrine 3.5.0+dfsg

=== debian/changelog ===
doctrine (3.5.0+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * #11977 implemented simplistic (and ugly) batch handing of `INSERT`
    operations in `UnitOfWork#executeInserts()`

  [ Grégoire Paris ]
  * Deprecate methods for configuring no longer configurable features
  * Deprecate not using native lazy objects on PHP 8.4+
  * Deprecate more proxies-related methods or calls
  * Provide upgrade path to new ORMSetup::create* signature
  * Deprecate proxy autoloader and class name resolver

  [ Alexander M. Turek ]
  * Detect DBAL's number type (#11781)

  [ jannes ]
  * Add index mapping to Column

  [ stlgaits ]
  * Add console completion for entityName param of orm:mapping:describe command

  [ Benjamin Eberlei ]
  * Only throw PHP 8.4 requirement exception when enabling native lazy objects.

  [ Christian Flothmann ]
  * do not register the legacy proxy class name resolver with enabled native
    lazy ghost

 -- David Prévot <taffit@debian.org>  Wed, 02 Jul 2025 13:25:50 +0200
