## doctrine 3.5.1+dfsg

=== debian/changelog ===
doctrine (3.5.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Remove branchName from unmaintained branch
  * Update baseline because of doctrine/dbal 4.3.0
  * Remove if statement
  * Quote parts of the table name
  * Address deprecations from doctrine/dbal (#12098)
  * Deprecate ClassMetadata::$reflFields

  [ Jan Nedbal ]
  * Fix unhandled ParameterType case for binary PKs

  [ Willem Mouwen ]
  * fix: Convert BackedEnum to scalar value when binding a parameter

  [ Andrii Dembitskyi ]
  * :book: Actualize code block to be compatible with DBAL v4, use modern PHP

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 08 Aug 2025 08:14:29 +0200
