## doctrine 3.5.2%2Bdfsg

=== debian/changelog ===
doctrine (3.5.2+dfsg-2) unstable; urgency=medium

  * Another PHPUnit 12 workaround

 -- David Prévot <taffit@debian.org>  Tue, 26 Aug 2025 08:52:19 +0200

doctrine (3.5.2+dfsg-1) unstable; urgency=medium

  * Upload to unstable now that trixie has been released

  [ Gerhard Seidel ]
  * fix: calling scheduleForInsert twice

  [ Michael Voříšek ]
  * BasicEntityPersister: refactor $values variable into $placeholders
  * Unify JoinedSubclassPersister dequeue
  * Add 2nd level cache test for insert without post-inserted ID

  [ Alexander M. Turek ]
  * Don't partially mock the AbstractPlatform class (#12114)

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 11:47:51 +0200
