## doctrine 3.5.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                php-symfony-var-exporter,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/doctrine.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/doctrine
 Homepage: https://www.doctrine-project.org/projects/orm.html
