=== debian/watch ===
--- 
+++ 
@@ -3,4 +3,4 @@
 repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,\
 mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
 https://github.com/doctrine/orm \
-refs/tags/v?(2.+)
+refs/tags/v?(\d.+)
